Package org.eclipse.equinox.p2.ui

# Class InstalledSoftwarePage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.ui.about.InstallationPage
org.eclipse.equinox.p2.ui.InstalledSoftwarePage

All Implemented Interfaces:
  `ICopyable`, `IDialogPage`, `IMessageProvider`

public class InstalledSoftwarePage extends InstallationPage implements ICopyable
InstalledSoftwarePage displays a profile's IInstallableUnits in an Installation Page. Clients can use this class as the implementation class for an installationPages extension.

Since:
  2.0
See Also:
  - `InstallationPage`
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`InstalledSoftwarePage()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`buttonPressed(int buttonId)`
Notifies that this page's button with the given id has been pressed.
`void`
`copyToClipboard(Control activeControl)`
Copy text related to the active control to the clipboard.
`void`
`createControl(Composite parent)`
Creates the top level control for this dialog page under the given parent composite.
`void`
`createPageButtons(Composite parent)`
Create the buttons that belong to this page using the specified parent.
`void`
`setProvisioningUI(ProvisioningUI value)`
Set the provisioning UI to use with this page

### Methods inherited from class org.eclipse.ui.about.InstallationPage

`createButton, getPageContainer, setMessage, setMessage, setPageContainer`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setDescription, setErrorMessage, setImageDescriptor, setTitle, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InstalledSoftwarePage

public InstalledSoftwarePage()

## Method Details

### createControl

public void createControl(Composite parent)
Description copied from interface: `IDialogPage`
Creates the top level control for this dialog page under the given parent composite.

Implementors are responsible for ensuring that the created control can be accessed via `getControl`

Specified by:
  `createControl` in interface `IDialogPage`
Parameters:
  `parent` - the parent composite

### createPageButtons

public void createPageButtons(Composite parent)
Description copied from class: `InstallationPage`
Create the buttons that belong to this page using the specified parent.

Overrides:
  `createPageButtons` in class `InstallationPage`
Parameters:
  `parent` - the parent to use for the buttons.
See Also:
  - `InstallationPage.createButton(Composite, int, String)`
  - `InstallationPage.buttonPressed(int)`

### copyToClipboard

public void copyToClipboard(Control activeControl)
Description copied from interface: `ICopyable`
Copy text related to the active control to the clipboard.

Specified by:
  `copyToClipboard` in interface `ICopyable`
Parameters:
  `activeControl` - the active control

### buttonPressed

protected void buttonPressed(int buttonId)
Description copied from class: `InstallationPage`
Notifies that this page's button with the given id has been pressed. Subclasses should extend this method to handle the buttons created in `InstallationPage.createButton(Composite, int, String)`

Overrides:
  `buttonPressed` in class `InstallationPage`
Parameters:
  `buttonId` - the id of the button that was pressed (see `IDialogConstants.*_ID` constants)

### setProvisioningUI

public void setProvisioningUI(ProvisioningUI value)
Set the provisioning UI to use with this page

Parameters:
  `value` - the provisioning ui to use
Since:
  2.1